Package com.sas.services.security

# Class LoginServiceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.security.LoginServiceException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

Direct Known Subclasses:
  `CredentialLoginServiceException`, `ExpiredPasswordLoginServiceException`, `NetworkLoginServiceException`

public class LoginServiceException extends ServiceException implements Serializable
This is an exception that gets thrown when a user attempts to get authenticated, but it fails for some reason. There are more specific subclasses when more information about the cause of the failure can be determined.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoginServiceException()`
  Constructs a default login service exception.
  `LoginServiceException(String message)`
  Constructs a login service exception using the message detailing the failure.
  `LoginServiceException(Throwable throwable, String message)`
  Constructs a login service exception using the message detailing the failure and the throwable that cause the failure.

- ## Method Summary

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LoginServiceException

    public LoginServiceException()
    Constructs a default login service exception.

  - ### LoginServiceException

    public LoginServiceException(String message)
    Constructs a login service exception using the message detailing the failure.
    Parameters:
      `message` - Message detailing the login failure.

  - ### LoginServiceException

    public LoginServiceException(Throwable throwable, String message)
    Constructs a login service exception using the message detailing the failure and the throwable that cause the failure.
    Parameters:
      `throwable` - Throwable that caused the login failure.
      `message` - Message detailing the login failure.